//	*******************************************************************************
//	Name	:	w_svr.cpp
//			:	Web server
//	Author	:	I. Nakagawa
//	Create	:	2023/06/29
//	Modify	:	2025/06/03
//	*******************************************************************************

#include	"dsp_def.hxx"
#include	"wsvrCLI.hxx"
#include	"ask_path.hxx"

////
//	*******************************************************************************
//	main
//	Create	:	2022/11/29
//	Modify	:	2023/06/29
//	*******************************************************************************
int	_tmain	(int argc,_TCHAR* argv[])
{
	_tsetlocale(LC_ALL,_T("")) ;
	if (argc > 1) {
		v_tstring	argAry ;
		for (int index=1 ; index<argc ; index++) {
			tstring	path = argv[index] ;
			::start_web_server(path) ;
			}
		}
	else {
		tstring	path ;
		{
			#ifdef	OFN_filter_All
				path = ::ask_path(false) ;
			//	path = ::ask_path(true) ;
			#else
				path = ::ask_cli(_T("folder ... ? =")) ;
			#endif
			}
		if (!path.empty()) {
			::start_web_server(path) ;
			}
		}
	return	0 ;
	}

#include	"messbar.cxx"

