//	*******************************************************************************
//	Name	:	dsp_def.hxx
//			:	display #define value
//	Author	:	I. Nakagawa
//	Create	:	2024/11/11
//	*******************************************************************************

//	#pragma		once

#include	<climits>

#ifndef			 _CRT_STRINGIZE
	#ifndef		__CRT_STRINGIZE
		#define	__CRT_STRINGIZE(Value)	#Value
	#endif
	#ifndef		 _CRT_STRINGIZE
		#define	 _CRT_STRINGIZE(Value)	__CRT_STRINGIZE(Value)
	#endif
#endif

#ifdef				 _WIN64
#pragma	message	(	"_WIN64            "	_CRT_STRINGIZE(_WIN64)		)
#elif				 _WIN32
#pragma	message	(	"_WIN32            "	_CRT_STRINGIZE(_WIN32)		)
#endif

#ifdef				 __GNUC__
#pragma	message	(	"__GNUC__          "	_CRT_STRINGIZE(__GNUC__)	)
#endif

#ifdef				 _WINDOWS
#pragma	message	(	"_WINDOWS          "	_CRT_STRINGIZE(_WINDOWS)	)
#endif
#ifdef				 _CONSOLE
#pragma	message	(	"_CONSOLE          "	_CRT_STRINGIZE(_CONSOLE)	)
#endif
#ifdef				 _DOS
#pragma	message	(	"_DOS              "	_CRT_STRINGIZE(_DOS)		)
#endif

#ifdef				 _OPENMP
#pragma	message	(	"_OPENMP           "	_CRT_STRINGIZE(_OPENMP)		)
#endif

#ifdef				 _UNICODE
#pragma	message	(	"_UNICODE          "	_CRT_STRINGIZE(_UNICODE)	)
#endif
#ifdef				 _MBCS
#pragma	message	(	"_MBCS             "	_CRT_STRINGIZE(_MBCS)		)
#endif

#ifdef				 _MSC_VER
#pragma	message	(	"_MSC_VER          "	_CRT_STRINGIZE(_MSC_VER)	)
#endif

#ifdef				 _MSC_FULL_VER
#pragma	message	(	"_MSC_FULL_VER     "	_CRT_STRINGIZE(_MSC_FULL_VER)	)
#endif

#ifdef				 _MFC_VER
#pragma	message	(	"_MFC_VER          "	_CRT_STRINGIZE(_MFC_VER)	)
#endif

#ifdef				 _ATL_VER
#pragma	message	(	"_ATL_VER          "	_CRT_STRINGIZE(_ATL_VER)	)
#endif

#ifdef				 __CLR_VER
#pragma	message	(	"__CLR_VER         "	_CRT_STRINGIZE(__CLR_VER)	)
#endif

#ifdef				 _MSVC_LANG
#pragma	message	(	"_MSVC_LANG        "	_CRT_STRINGIZE(_MSVC_LANG)	)
#endif

#ifdef				 WINVER
#pragma	message	(	"WINVER            "	_CRT_STRINGIZE(WINVER)		)
#endif

#ifdef				 __VERSION__
#pragma	message	(	"__VERSION__       "	_CRT_STRINGIZE(__VERSION__)	)
#endif

#ifdef				 __cplusplus_cli
#pragma	message	(	"__cplusplus_cli   "	_CRT_STRINGIZE(__cplusplus_cli)		)
#endif
#ifdef				 __cplusplus_winrt
#pragma	message	(	"__cplusplus_winrt "	_CRT_STRINGIZE(__cplusplus_winrt)	)
#endif

#ifdef				 _WINRT_DLL
#pragma	message	(	"_WINRT_DLL        "	_CRT_STRINGIZE(_WINRT_DLL)	)
#endif

#ifdef				 _AFXDLL
#pragma	message	(	"_AFXDLL           "	_CRT_STRINGIZE(_AFXDLL)		)
#elif				 _DLL
#pragma	message	(	"_DLL              "	_CRT_STRINGIZE(_DLL)		)
#endif

#ifdef				 _M_CEE
#pragma	message	(	"_M_CEE            "	_CRT_STRINGIZE(_M_CEE)	)
#endif

#ifdef				 _M_CEE_PURE
#pragma	message	(	"_M_CEE_PURE       "	_CRT_STRINGIZE(_M_CEE_PURE)	)
#endif

#ifdef				 _M_CEE_SAFE
#pragma	message	(	"_M_CEE_SAFE       "	_CRT_STRINGIZE(_M_CEE_SAFE)	)
#endif

#ifdef				 _MANAGED
#pragma	message	(	"_MANAGED          "	_CRT_STRINGIZE(_MANAGED)	)
#endif

#ifdef				 _DEBUG
#pragma	message	(	"_DEBUG            "	_CRT_STRINGIZE(_DEBUG)		)
#endif

#ifdef				 __DATE__
#pragma	message	(	"__DATE__          "	_CRT_STRINGIZE(__DATE__)	)
#endif
#ifdef				 __TIME__
#pragma	message	(	"__TIME__          "	_CRT_STRINGIZE(__TIME__)	)
#endif

