//	*******************************************************************************
//	Name	:	pause.hxx
//			:	pause
//	Author	:	I. Nakagawa
//	Create	:	2024/11/12
//	Modify	:	2024/11/28	::pause	->	::i_pause
//	*******************************************************************************

#pragma		once

#ifdef	_WIN32
#include	"_tdefine.hxx"
#include	"t_tstrng.hxx"
#else
#include	"ask_cli.hxx"
#endif

////
//	*******************************************************************************
//	pause
//	Create	:	2021/05/12
//	Modify	:	2024/11/21
//	*******************************************************************************
inline	bool	i_pause	(const long timeout=5)
{
	#ifdef	_WIN32
	{
		tstring	cmd = _T("timeout ") + ::To_tstring(timeout) ;
		::_tsystem(cmd.c_str()) ;
		}
	#else
	{
		::ask_wait() ;
		}
	#endif
	return	true ;
	}

